%global debug_package %{nil}

Name:           libcap
Version:        2.63 
Release:        1%{?dist}
Summary:        Library for getting and setting POSIX.1e capabilities 

License:        BSD or GPLv2 
URL:            ihttps://sites.google.com/site/fullycapable/
Source0:        https://git.kernel.org/pub/scm/libs/libcap/libcap.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires:  libattr-devel pam-devel perl-interpreter gcc make

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package static
Summary: Static libraries for libcap development
Requires: %{name} = %{version}-%{release}

%description static
The libcap-static package contains static libraries needed to develop programs
that use libcap and need to be statically linked.

libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.


%prep
%autosetup


%build
%{make_build}

%install
rm -rf $RPM_BUILD_ROOT
%make_install DESTDIR=%{buildroot} LIBDIR=%{_libdir} SBINDIR=%{_sbindir} PKGCONFIGDIR=%{_libdir}/pkgconfig/

mkdir -p %{buildroot}/%{_mandir}/man{2,3,8}
mv -f doc/*.3 %{buildroot}/%{_mandir}/man3/

chmod +x %{buildroot}/%{_libdir}/*.so.*

%ldconfig_scriptlets

%files
%license License
%doc doc/capability.notes
%{_libdir}/*.so.*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_libdir}/security/pam_cap.so

%files static
%{_libdir}/*.a

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 2.63-1
- Init for Anolis OS 23  
